Project

General

Profile

Feature #52279

Add Channels DVR plugin

Added by Dru Lavigne almost 2 years ago. Updated over 1 year ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Plugins
Estimated time:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:

History

#2 Updated by Brandon Schneider almost 2 years ago

  • Status changed from In Progress to Ready for Testing
  • Needs Merging changed from Yes to No

#3 Updated by Dru Lavigne almost 2 years ago

#4 Updated by Bonnie Follweiler almost 2 years ago

  • Status changed from Ready for Testing to Failed Testing

The Channels DVR Plugin isn't available in FreeNAS-11.2-INTERNAL29

#5 Updated by Brandon Schneider almost 2 years ago

  • Status changed from Failed Testing to Done

It's available, just not in the INDEX. Like the original PR wasn't. Testing can be done using iocage fetch -P -n channels-dvr

#6 Updated by Dru Lavigne almost 2 years ago

  • Status changed from Done to Ready for Testing

#7 Updated by Dru Lavigne almost 2 years ago

  • Target version changed from 11.2-RC2 to 11.2-U2

#8 Updated by Dru Lavigne almost 2 years ago

  • Related to deleted (Feature #53790: Update iocage Plugins for 11.2-RC2)

#9 Updated by H . over 1 year ago

Can we get the Channels plugin added to the UI for available plugins (and potentially update the documentation to mention it)? It's clearly available and installable via:

iocage fetch -P -n channels-dvr vnet=on dhcp=on bpf=yes devfs_ruleset=4 interfaces=vnet0:bridge0

The plugin works well and I've been running it solidly for a couple of weeks.

#11 Updated by Bonnie Follweiler over 1 year ago

Test Failed on FreeNAS-11.2-INTERNAL69
I ran
iocage fetch -P -n channels-dvr vnet=on dhcp=on bpf=yes devfs_ruleset=4 interfaces=vnet0:bridge0
and it appeared to install but then it gave this error message:
Stopped channels-dvr due to VNET failure

It shows it's installed and VNET is checked in the NewGUI(screenshots provided)

#12 Updated by Bonnie Follweiler over 1 year ago

49251
49260

When I try to start it from the GUI I get the following error:
RuntimeError

Stopped channels-dvr due to VNET failure
remove_circle_outline More info...

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 581, in start
iocage.start()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
callback=self.callback
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in init
self.
_start_jail__()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 491, in start_jail
_callback=self.callback)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
_callback(content, exception)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
raise callback_exception(message)
RuntimeError:
Stopped channels-dvr due to VNET failure
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 161, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1131, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1068, in call
return await self._call_worker(serviceobj, name, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1095, in _call_worker
job,
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1026, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1011, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError:
Stopped channels-dvr due to VNET failure

#13 Updated by Brandon Schneider over 1 year ago

  • Status changed from Failed Testing to Done
  • Needs QA changed from Yes to No
  • Needs Doc changed from Yes to No

Bonnie: That’s a pass if it installed. The vnet error is unrelated as you did not specify the the vnet_default_interface property to setup the bridge. So that’s an expected failure.

Marking as Done as the plugin installs.

#14 Updated by Dru Lavigne over 1 year ago

  • Status changed from Done to Passed Testing
  • Needs Doc changed from No to Yes

#15 Updated by Dru Lavigne over 1 year ago

  • Category changed from OS to Plugins
  • Status changed from Passed Testing to Done
  • Target version changed from 11.2-U2 to Master - FreeNAS Nightlies
  • Needs Doc changed from Yes to No

Also available in: Atom PDF